# three-js-view-cube

This class will build the 3D scene necessary to implement a ViewCube.

Some APIs are also provided for managing each element visibility, but it does not go as far as branching the picking and actual camera mouvement.

### Setup ###

Assuming that npm and node are already installed.

Clone the current repository. Then in the repository folder :
````
npm install
````
This should install all required dependencies for build and development.

Then to launch the example :
````
npm run build
npm start
````

#### Usage ####

The class is just a special THREE.Object3D with a hierarchy to create a cube.
The hover function will change the color of the given face, and add an outline if setup in parameters.

This class is not connected to any event handler, so to implement an actual View Cube, you need to pick on the cube and act depending on the element under the mouse.


#### Distribution ####

Distribution files can be found in ./dist/browser, to be included in your HTML :

````
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>THREE CapsuleBufferGeometry</title>
    </head>
    <body>
        <!-- Don't forget to include THREE, its is not shipped with the lib -->
        <script src="three.js"></script>
        <script src="dist/browser/three-js-view-cube.js"></script>
        <script>
            alert('Checking definition of ViewCubeObject3D : ' + THREE.ViewCubeObject3D !== undefined);
            var vc = new THREE.ViewCubeObject3D();
        </script>
    </body>
</html>
````

### Repository Commands ###

Build:
````
npm run build
````
Will update the browser build in dist.

#### Dependencies ####
This branch depends on three revision 122.
